{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "TGPE_CODE"; 
            externalType = VARCHAR2; 
            name = tgpeCode; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            columnName = "TGPE_ID"; 
            externalType = NUMBER; 
            name = tgpeId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tgpeId); 
    className = "org.cocktail.cocowork.server.metier.convention.TypeGroupe"; 
    classProperties = (tgpeCode); 
    externalName = "ACCORDS.TYPE_GROUPE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tgpeCode); 
        "_javaClientClassName" = "org.cocktail.cocowork.client.metier.convention.TypeGroupe"; 
        "_nameInObjectStore" = "TYPE_GROUPE"; 
    }; 
    name = CWTypeGroupe; 
    primaryKeyAttributes = (tgpeId); 
}
